#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sqlcipher
Version		:	4.5.4
Release		:	17.2.0.rel%{?dist}
Summary		:	Fork of the SQLite database library that adds 256 bit AES encryption

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3-Clause
URL		:	https://github.com/sqlcipher/sqlcipher

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	openssl-libs
BuildRequires	:	sqlite3

#-----------------------------------------------------------------------------
%description
SQLCipher is an open source library that provides
transparent, secure 256-bit AES encryption of
SQLite database files. SQLCipher has been adopted
as a secure database solution by many commercial and
open source products, making it one of the most
popular encrypted database platforms for Mobile,
Embedded, and Desktop applications

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/lib%{name}-3.41.2.so.0*

#=============================================================================
%package		devel
Summary		:	development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
 


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

export CFLAGS="-DSQLITE_HAS_CODEC -DSQLITE_TEMP_STORE=2"
export LDFLAGS="-lcrypto"
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-tempstore=yes				\
	--enable-releasemode				\
	--disable-static				\
	--enable-shared					\
	--disable-tcl					\
	

# fix/workaround hard-coded rpaths
sed -i							\
  -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
  libtool
sed -i							\
  -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
  libtool

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
